Catch-ups
List catch-up settings
Returns all of the company’s catch-up settings. Each setting turns one kind of catch-up suggestion for reps on or off, such as cart_abandoned or enrolled. Available to company admins and reps with permission to view catch-ups. Not paginated.
GET
/
api
/
catch_up_settings
List catch-up settings
curl --request GET \
--url https://api.fluid.app/api/catch_up_settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_up_settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_up_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_up_settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_up_settings": [
{
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": true,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06"
},
{
"id": 3343,
"company_id": 1405,
"name": "enrolled",
"description": "Notify when a contact creates a new enrollment.",
"active": false,
"uuid_v7": "01926d4e-8b3b-72a4-b5c8-0e1f6d9a4c27"
}
],
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}⌘I
List catch-up settings
curl --request GET \
--url https://api.fluid.app/api/catch_up_settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/catch_up_settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/catch_up_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/catch_up_settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/catch_up_settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/catch_up_settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/catch_up_settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_up_settings": [
{
"id": 3342,
"company_id": 1405,
"name": "cart_abandoned",
"description": "Notify when a contact abandons their cart with items left inside.",
"active": true,
"uuid_v7": "01926d4e-8b3a-7c1f-9e42-5a7d3c8b1f06"
},
{
"id": 3343,
"company_id": 1405,
"name": "enrolled",
"description": "Notify when a contact creates a new enrollment.",
"active": false,
"uuid_v7": "01926d4e-8b3b-72a4-b5c8-0e1f6d9a4c27"
}
],
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}